Subject: bug#21093: Web server: response bodies systematically loaded in memory

From: [email-masked] (Ludovic Courtès)
Date: Mon, 20 Jul 2015 00:10:28 +0200

The ‘sanitize-response’ procedure systematically loads the whole
response body in memory, which causes obvious scalability issues (this
is in 2.0.11.)

In particular, when a request handler returns a port-taking procedure as
its second return value, ‘sanitize-request’ will just call that
procedure passing it a string output port.

This procedure should instead be called from the server implementation’s
‘write’ hook, but that would necessitate an API change.

Thoughts?

Ludo’.